import React, { Dispatch, SetStateAction } from 'react';
import { VariableSizeList as List } from 'react-window';
import { GanttItemDataType, OnBarChangeType, OnBarDoubleClickType } from '../../../types';
import './Bars.css';
interface BarsProps {
    width: number;
    height: number;
    data: GanttItemDataType[];
    setData: Dispatch<SetStateAction<GanttItemDataType[]>>;
    onBarDoubleClick?: OnBarDoubleClickType;
    onBarChange?: OnBarChangeType;
}
declare const Bars: React.ForwardRefExoticComponent<BarsProps & React.RefAttributes<List<any>>>;
export default Bars;
