import React, { Dispatch, SetStateAction } from 'react';
import { VariableSizeList as List } from 'react-window';
import { GanttItemDataType } from '../../../types';
import './Tree.css';
interface TreeProps {
    height: number;
    data: GanttItemDataType[];
    setData: Dispatch<SetStateAction<GanttItemDataType[]>>;
}
declare const Tree: React.ForwardRefExoticComponent<TreeProps & React.RefAttributes<List<any>>>;
export default Tree;
