import React, { DetailedHTMLProps, ReactNode, SelectHTMLAttributes } from 'react';
import './Select.css';
interface SelectProps extends Omit<DetailedHTMLProps<SelectHTMLAttributes<HTMLSelectElement>, HTMLSelectElement>, 'onChange'> {
    options: {
        label: string;
        value: any;
    }[];
    onChange: (value: any) => any;
    suffixIcon?: ReactNode;
}
declare const Select: React.FC<SelectProps>;
export default Select;
